Subject: Re: bug#59057: Emacs 29. Byte compiler sometimes forgets about a defvar.

From: Alan Mackenzie <[email-masked]>
Date: Fri, 25 Nov 2022 10:36:06 +0000

Hello, Stefan.

On Thu, Nov 24, 2022 at 22:12:07 +0100, Stefan Kangas wrote:
> > I don't see any concrete benefit.  It's only a problem of documentation
> > and/or teaching programmers.  If we could go back to 1984 maybe it would
> > be worth it to make a different decision, but the cost of the change
> > doesn't seem worth the very minor (and hypothetical) benefit.

> So should this bug report be closed?

The action of defvar can't really be changed any more, but the
documentation, which is rather confusing, could be improved.  I would
suggest leaving the bug open until this has been done.  Unfortunately, I
won't have much time to look at this in the next few days.

-- 
Alan Mackenzie (Nuremberg, Germany).